Get a course

Get a course using GET.

Request

GET https://api.frontcore.com/v2/courses/:id

For every API request you make, you'll need to present the API access key in the HTTP Header as X-API-Key to be authenticated.

Parameters

Name Required Value Description
description_language optional string Returns translated descriptions in the specified language. A list of available languages can be found in the description_languages property on the course object.
include[] optional string Request additional information by specifying the 'include' parameter as a path using dot notation.
You can include multiple objects at once by specifying multiple items in the include array.

Supported items for this endpoint:
`products`, `labels`, `provider`
include_partners optional boolean Allow fetching a course from a partner provider. When set to true, the course can be retrieved from approved partner providers in addition to the authenticated provider. Partner courses must be active, publicly visible, and not internal. A provider object is automatically included in the response.
partner_id optional number Fetch the course from a specific partner provider. Implicitly enables partner filtering. The authenticated provider must have an approved partner connection with the specified provider.

Example code in PHP

$request_url = 'https://api.frontcore.com/v2/courses/22353';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $request_url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); 

curl_setopt($ch, CURLOPT_HTTPHEADER, array(
  'X-API-Key: {your-api-key}',
  'Accept: application/json',
));
$result = curl_exec($ch);
curl_close($ch);
               

Response

If the method is successful it responds with an JSON structure, as it is shown below.

{
    "id": 22353,
    "title": "Learn REST API",
    "reference": "RESTAPI-CA-1001",
    "is_active": false,
    "kursguiden_url": "https:\/\/www.kursguiden.no\/kurs\/\u00d8kologisk-matkurs\/Learn-REST-API\/",
    "is_full_time": false,
    "is_part_time": true,
    "lessons_hours": null,
    "type": "public",
    "level": {
        "id": 6,
        "title": "Kurs"
    },
    "form_of_teaching": {
        "id": 1,
        "title": "Klasserom"
    },
    "teaching_language": {
        "id": "no",
        "title": "Norsk"
    },
    "time_of_day": {
        "id": 2,
        "title": "Kveldskurs"
    },
    "publishing_platform": "both",
    "duration": {
        "value": 6,
        "code": "hours",
        "unit": "Time(r)"
    },
    "price": {
        "value": 1500,
        "currency": "NOK",
        "comment": "Includes a free beer."
    },
    "categories": [
        {
            "id": 1075,
            "title": "\u00d8kologisk matkurs",
            "idParent": 1456,
            "titleParent": "Matkurs"
        },
        {
            "id": 1473,
            "title": "Norsk mat",
            "idParent": 1456,
            "titleParent": "Matkurs"
        }
    ],
    "external_booking_url": null,
    "external_more_info_url": null,
    "descriptions": {
        "lead": "REST API is very useful.",
        "description": "<p>REST API is a easy way of sharing information between sites.<\/p>",
        "place": "<p>At IT Fornebu.<\/p>",
        "prerequisites": "<p>Normal programming skills.<\/p>",
        "duration": "<p>2 sessions. Each session is 3 hours.<\/p>",
        "credits": "<p>No credts.<\/p>",
        "submissions": "<p>Two tasks to be submitted online.<\/p>",
        "hotelInfo": "<p>Scandic Fornebu.<\/p>",
        "audience": "<p>Programmers and web developers.<\/p>"
    },
    "lead_settings": {
        "email_booking": "booking@exampleschool.no",
        "email_more_info": "more.info@exampleschool.no"
    },
    "tags": [],
    "custom_properties": null,
    "description_languages": [
        "no"
    ],
    "visit_address": null,
    "visit_address2": null,
    "visit_zipcode": null,
    "visit_city": null,
    "created_at": "2015-01-21T21:30:31+01:00",
    "updated_at": "2026-04-14T09:50:59+02:00",
    "deleted_at": "2026-04-14T09:50:59+02:00",
    "related_items_updated_at": "2026-04-14T14:44:42+02:00"
}

Unsuccessful response sample:

{
    "error": "Wrong API Key"
}      
© 2026 FrontCore